PATCH
Update Pricing Addon

Authorizations

Authorization
string
header
required

Interactive user session: the login JWT, sent as Authorization: Bearer <token>.

Path Parameters

addon_key
string
required

Body

application/json
reason
string
required
Required string length: 10 - 500
display_name
string | null
Maximum string length: 128
price_usd
Required range: x >= 0
billing_unit
string | null
Maximum string length: 32
description
string | null
is_active
boolean | null

Response

Successful Response

id
integer
required
addon_key
string
required
display_name
string
required
price_usd
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
billing_unit
string
required
is_active
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
description
string | null